%define		_modname	fribidi
%define		_status		stable
Summary:	%{_modname} - Implementation of the Unicode BiDi algorithm
Summary(pl.UTF-8):	%{_modname} - Implementacja algorytmu BiDi Unicode
Name:		php-pecl-%{_modname}
Version:	1.0
Release:	8
License:	PHP
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{_modname}-%{version}.tgz
# Source0-md5:	360e55f049cdebc96fe797eba78399ef
URL:		http://pecl.php.net/package/fribidi/
BuildRequires:	fribidi-devel
BuildRequires:	php-devel >= 3:5.0.0
BuildRequires:	rpmbuild(macros) >= 1.344
%{?requires_php_extension}
Requires:	php-common >= 4:5.0.4
Obsoletes:	php-fribidi
Obsoletes:	php-pear-%{_modname}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A PHP frontend to the FriBidi library: an implemntation of the unicode
Bidi algorithm, provides means of handling right-to-left text.

In PECL status of this package is: %{_status}.

%description -l pl.UTF-8
Frontend PHP do biblioteki FriBidi: implementacji algorytmu unicode
Bidi, dostarczającego środki do obsługi tekstu pisanego od prawej do
lewej.

To rozszerzenie ma w PECL status: %{_status}.

%prep
%setup -q -c

%build
cd %{_modname}-%{version}
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_sysconfdir}/conf.d,%{php_extensiondir}}

install %{_modname}-%{version}/modules/%{_modname}.so $RPM_BUILD_ROOT%{php_extensiondir}
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{_modname}.ini
; Enable %{_modname} extension module
extension=%{_modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{_modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{_modname}.so
%changelog
* Sat Nov 23 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pecl-fribidi.git;a=log;h=AC-branch

* Thu Feb 09 2012 Elan Ruusamäe <glen@pld-linux.org> 62408e0
- release 8

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 44586e0
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 1f781e5
- converted to UTF-8

* Thu Dec 28 2006 Elan Ruusamäe <glen@pld-linux.org> 134fc65
- use new php extension related macros

* Wed Dec 13 2006 Elan Ruusamäe <glen@pld-linux.org> ab5fc1b
- rel 7 (php 5.2.0)

* Thu Nov 02 2006 Elan Ruusamäe <glen@pld-linux.org> eeec2ff
- BR rpmmacros for fixed %requires_php_extension

* Thu Dec 22 2005 Elan Ruusamäe <glen@pld-linux.org> 7df6a05
- rel 6 (rebuild with new php)

* Sun Oct 30 2005 Elan Ruusamäe <glen@pld-linux.org> a37ed99
- rel 5

* Sat Oct 29 2005 Elan Ruusamäe <glen@pld-linux.org> b23435c
- rebuild with zts and debug requires

* Wed Sep 14 2005 Elan Ruusamäe <glen@pld-linux.org> b49320a
- rel 3

* Wed Sep 14 2005 Elan Ruusamäe <glen@pld-linux.org> d1b2877
- conf.d and php api macros

* Tue Sep 13 2005 Elan Ruusamäe <glen@pld-linux.org> 4f901cb
- superfluous BR libtool removed

* Sun Aug 08 2004 Adam Gołębiowski <adamg@pld-linux.org> c8cb466
- Obsoletes php-fribidi
- release 2

* Sun May 30 2004 Adam Gołębiowski <adamg@pld-linux.org> e3e0cad
- fixed english information about status of the package (also s/PEAR/PECL/)

* Wed Oct 15 2003 Adam Gołębiowski <adamg@pld-linux.org> 90d81a1
- it finally happened - PECL separated from PEAR and moved to its own
  repository, thus changes in urls (s/pear/pecl/)

* Tue Oct 07 2003 Adam Gołębiowski <adamg@pld-linux.org> f16be1c
- do not use macros in URL

* Sun Aug 31 2003 Adam Gołębiowski <adamg@pld-linux.org> 13673f7
- more specific URL

* Wed Jul 30 2003 Jakub Bogusz <qboosh@pld-linux.org> 0edf3fd
- pl fix, cut template changelog

* Tue Jul 29 2003 Adam Gołębiowski <adamg@pld-linux.org> 561a06d
- initial import

